
From: Denis Vlasenko <vda@port.imtp.ilyichevsk.odessa.ua>

For

	#define inline __inline__ attribute((always_inline))

without this, we end up sometimes not inlining certain memset instances.


---

 25-akpm/include/linux/string.h |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN include/linux/string.h~string_h-needs-compiler_h include/linux/string.h
--- 25/include/linux/string.h~string_h-needs-compiler_h	2004-04-20 23:52:28.733308752 -0700
+++ 25-akpm/include/linux/string.h	2004-04-20 23:53:17.601879600 -0700
@@ -1,10 +1,11 @@
 #ifndef _LINUX_STRING_H_
 #define _LINUX_STRING_H_
 
-/* We don't want strings.h stuff being user by user stuff by accident */
+/* We don't want strings.h stuff being used by user stuff by accident */
 
 #ifdef __KERNEL__
 
+#include <linux/compiler.h>	/* for inline */
 #include <linux/types.h>	/* for size_t */
 #include <linux/stddef.h>	/* for NULL */
 

_
